CREATE TABLE gtg_ts_ledger (
    ETL_SEQUENCE_ID                   NUMBER(19, 0),
    ETL_VERSION_NUMBER                NUMBER(18, 0),
    DELETE_VERSION_NUMBER             NUMBER(18, 0),
    LAST_UPDATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128),
    CREATED_BY                        VARCHAR2(256)    NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)     NOT NULL,
    ALLOW_INTERCOMPANY_POST_FLAG      VARCHAR2(4)  ,
    AUTOMATE_SEC_JRNL_REV_FLAG        VARCHAR2(4)  ,
    AUTOREV_AFTER_OPEN_PRD_FLAG       VARCHAR2(4)  ,
    CHART_OF_ACCOUNTS_ID              NUMBER(18, 0),
    CRITERIA_SET_ID                   NUMBER(18, 0),
    CUM_TRANS_CODE_COMBINATION_ID     NUMBER(18, 0),
    CURRENCY_CODE                     VARCHAR2(60) ,
    DESCRIPTION                       VARCHAR2(960),
    DOC_SEQUENCING_OPTION_CODE        VARCHAR2(4)  ,
    ENABLE_JE_APPROVAL_FLAG           VARCHAR2(4)  ,
    ENABLE_RECONCILIATION_FLAG        VARCHAR2(4)  ,
    FIRST_LEDGER_PERIOD_NAME          VARCHAR2(60) ,
    FUTURE_ENTERABLE_PERIODS_LIMIT    NUMBER(18, 0),
    GLLEDGERS_CB                      VARCHAR2(256),
    GLLEDGERS_CD                      TIMESTAMP(6) ,
    GLLEDGERS_LUB                     VARCHAR2(256),
    GLLEDGERS_LUD                     TIMESTAMP(6) ,
    JRNLS_GROUP_BY_DATE_FLAG          VARCHAR2(4)  ,
    LEDGER_CATEGORY_CODE              VARCHAR2(120),
    LEDGER_ID                         NUMBER(18, 0),
    MINIMUM_THRESHOLD_AMOUNT          NUMBER       ,
    NAME                              VARCHAR2(120),
    NET_CLOSING_BAL_FLAG              VARCHAR2(4)  ,
    PERIOD_AVERAGE_RATE_TYPE          VARCHAR2(120),
    PERIOD_END_RATE_TYPE              VARCHAR2(120),
    PERIOD_SET_NAME                   VARCHAR2(60) ,
    POP_UP_STAT_ACCOUNT_FLAG          VARCHAR2(4)  ,
    PRIOR_PRD_NOTIFICATION_FLAG       VARCHAR2(4)  ,
    RET_EARN_CODE_COMBINATION_ID      NUMBER(18, 0),
    ROUNDING_CODE_COMBINATION_ID      NUMBER(18, 0),
    SEQUENCING_MODE_CODE              VARCHAR2(8)  ,
    SLA_ACCOUNTING_METHOD_CODE        VARCHAR2(120),
    SLA_ACCOUNTING_METHOD_TYPE        VARCHAR2(4)  ,
    SLA_DESCRIPTION_LANGUAGE          VARCHAR2(60) ,
    SLA_ENTERED_CUR_BAL_SUS_CCID      NUMBER(18, 0),
    STRICT_PERIOD_CLOSE_FLAG          VARCHAR2(4)  ,
    SUSPENSE_ALLOWED_FLAG             VARCHAR2(4)  ,
    THRESHOLD_AMOUNT                  NUMBER       ,
    TRANSACTION_CALENDAR_ID           NUMBER(18, 0),
    VALIDATE_JOURNAL_REF_DATE         VARCHAR2(4)  ,
    ETL_SEQUENCE_ID                   NUMBER(19, 0),
    ETL_VERSION_NUMBER                NUMBER(18, 0),
    DELETE_VERSION_NUMBER             NUMBER(18, 0),
    LAST_UPDATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128),
    CREATED_BY                        VARCHAR2(256)    NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)     NOT NULL,
    ALLOW_INTERCOMPANY_POST_FLAG      VARCHAR2(4)  ,
    AUTOMATE_SEC_JRNL_REV_FLAG        VARCHAR2(4)  ,
    AUTOREV_AFTER_OPEN_PRD_FLAG       VARCHAR2(4)  ,
    CHART_OF_ACCOUNTS_ID              NUMBER(18, 0),
    CRITERIA_SET_ID                   NUMBER(18, 0),
    CUM_TRANS_CODE_COMBINATION_ID     NUMBER(18, 0),
    CURRENCY_CODE                     VARCHAR2(60) ,
    DESCRIPTION                       VARCHAR2(960),
    DOC_SEQUENCING_OPTION_CODE        VARCHAR2(4)  ,
    ENABLE_JE_APPROVAL_FLAG           VARCHAR2(4)  ,
    ENABLE_RECONCILIATION_FLAG        VARCHAR2(4)  ,
    FIRST_LEDGER_PERIOD_NAME          VARCHAR2(60) ,
    FUTURE_ENTERABLE_PERIODS_LIMIT    NUMBER(18, 0),
    GLLEDGERS_CB                      VARCHAR2(256),
    GLLEDGERS_CD                      TIMESTAMP(6) ,
    GLLEDGERS_LUB                     VARCHAR2(256),
    GLLEDGERS_LUD                     TIMESTAMP(6) ,
    JRNLS_GROUP_BY_DATE_FLAG          VARCHAR2(4)  ,
    LEDGER_CATEGORY_CODE              VARCHAR2(120),
    LEDGER_ID                         NUMBER(18, 0),
    MINIMUM_THRESHOLD_AMOUNT          NUMBER       ,
    NAME                              VARCHAR2(120),
    NET_CLOSING_BAL_FLAG              VARCHAR2(4)  ,
    PERIOD_AVERAGE_RATE_TYPE          VARCHAR2(120),
    PERIOD_END_RATE_TYPE              VARCHAR2(120),
    PERIOD_SET_NAME                   VARCHAR2(60) ,
    POP_UP_STAT_ACCOUNT_FLAG          VARCHAR2(4)  ,
    PRIOR_PRD_NOTIFICATION_FLAG       VARCHAR2(4)  ,
    RET_EARN_CODE_COMBINATION_ID      NUMBER(18, 0),
    ROUNDING_CODE_COMBINATION_ID      NUMBER(18, 0),
    SEQUENCING_MODE_CODE              VARCHAR2(8)  ,
    SLA_ACCOUNTING_METHOD_CODE        VARCHAR2(120),
    SLA_ACCOUNTING_METHOD_TYPE        VARCHAR2(4)  ,
    SLA_DESCRIPTION_LANGUAGE          VARCHAR2(60) ,
    SLA_ENTERED_CUR_BAL_SUS_CCID      NUMBER(18, 0),
    STRICT_PERIOD_CLOSE_FLAG          VARCHAR2(4)  ,
    SUSPENSE_ALLOWED_FLAG             VARCHAR2(4)  ,
    THRESHOLD_AMOUNT                  NUMBER       ,
    TRANSACTION_CALENDAR_ID           NUMBER(18, 0),
    VALIDATE_JOURNAL_REF_DATE         VARCHAR2(4)  ,
    CONSTRAINT pk_gtg_ts_ledger PRIMARY KEY (ETL_SEQUENCE_ID, ETL_VERSION_NUMBER, ETL_SEQUENCE_ID, ETL_VERSION_NUMBER)
);
